@echo off

rem Location of javah.exe
set JAVAH_EXE=%OTOOLS%\android\build\tools\JDK\x86\bin\javah

rem Package that the java classes belong 
set JAVA_PACKAGENAME=com.microsoft.office.ui.controls.virtuallist

rem Location of the build class files
set JAVA_CLASSPATH=%BUILDROOT%\droidx86\debug\coreui\android\java\classes\debug

rem Location to generate the .h files to
set VL_NATIVE_DIR=%SRCROOT%\coreui\android\native\virtuallist

rem Edit any existing generated header files
sd edit %VL_NATIVE_DIR%\%JAVA_PACKAGENAME:.=_%*.h

rem List of class names to generate c++ headers for
for %%X in (
	ListData
	ListElement
	ScrollingPanel
	ScrollManager
	VirtualList
	VirtualStack
	VirtualWrapGrid
	) do (
	%JAVAH_EXE% -d %VL_NATIVE_DIR% -classpath %JAVA_CLASSPATH% %JAVA_PACKAGENAME%.%%X
)

sd revert -a %VL_NATIVE_DIR%\%JAVA_PACKAGENAME:.=_%*.h
